{% extends '../base.html'%} {% block main %} {% load static %}
<!-- STYLE OVERHIDE -->
<style>
  @media (max-width: 1500px) {
    .main-container {
      margin: 1rem 4% 0 4% !important;
    }
  }
</style>
<div class="main-container">
  {% include "../components/quick_access.html" %}
  {% if nb_objects %}
  <span class="ml-5 border-bottom pb-2" style="font-weight: 500; font-size: 15px;">{{ sentence }}</span>
  {% endif %}
  <div class="articles-holders mt-5">
    <div class="cards">
      {% for article in articles %}
      <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
        <a
        {% if article.is_rentable and is_page_rentable %}
          href="{% url 'one_article_rent' article.id %}"
        {% else %}
          href="{% url 'one_article' article.id %}"
        {% endif %}
          class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
        >
          <img
            {% if article.main_image %}
              src="../../../../media/{{ article.main_image.url }}"
            {% else %}
              src="../../../../media/{{ article.images.all.0.url }}"
            {% endif %}
            class="cost-card-img-top flipper-img active"
            alt="ARTICEL IMAGE"
          />
        </a>

        <div class="cost-card-body">
          <h6 class="cost-card-title text-center">
            {{ article.title_45 }}
          </h6>
          <div class="d-flex flex-column">
            <div
              class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
            >
              <div
                class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
              >
              {% if article.is_rentable and is_page_rentable %}
              <p class="article-not-reducted">
                {{ article.rental_amount }} €/J
              </p>
              {% else %}

                {% if article.reducted %}
                <p class="article-reducted old-price">
                  {{ article.get_price_frnce_format }}
                </p>
                <p class="article-reducted new-price">
                  {{ article|get_article_new_price }}
                </p>

                {% else %}
                <p class="article-not-reducted">
                  {{ article.get_price_frnce_format }}
                </p>
                {% endif %}

              {% endif %}
              </div>
            </div>
          </div>
          <div class="cases">
            {% for case in article.get_cases %} {% if case.0 %}
            <div class="case">
              <p class="cases-cover bg-{{ case.2 }}">{{ case.1 }}</p>
            </div>
            {% endif %} {% endfor %}
          </div>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
  <style>

    .pagination {
      padding: 20px 0;
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 2rem;
    }

    .pagination a {
      color: #000;
      display: inline-block;
      margin-right: 5px;
      padding: 8px 12px;
      text-decoration: none;
      border: 1px solid #ccc;
      border-radius: 4px;
    }

    .pagination a:hover {
      background-color: #f0f0f0;
    }

    .pagination .current-page {
      font-weight: bold;
      background-color: #e0e0e0;
      padding: 4px 8px;
      border: 1px solid #ccc;
      border-radius: 4px;
    }
  </style>
  <div class="pagination">
    <span class="step-links">
      {% if articles.has_previous %}
      <a
        href="?{{ encoded_params|safe }}&page={{ articles.previous_page_number }}"
        ><i class="fa-solid fa-arrow-left"></i
      ></a>
      {% endif %}

      <span class="current-page">{{ articles.number }}</span
      ><span> / {{articles.paginator.num_pages}}</span>

      {% if articles.has_next %}
      <a href="?{{ encoded_params|safe }}&page={{ articles.next_page_number }}"
        ><i class="fa-solid fa-arrow-right"></i
      ></a>
      {% endif %}
    </span>
  </div>
  <script src="{% static 'assets/js/script.js' %}"></script>
</div>

{% endblock main%}
